﻿@{
    Layout = null;
}
<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Programs
            </h1>
        </div>
        <div class="actions">
            <a class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Export to Excel" ng-click="saveToExcel()" target="_blank">
                <i style="margin-top: 11px;" class="icon-file-excel fg-black"></i>
            </a>
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>
    <form ng-submit="programSearch()">
        <div class="place-left two-third padding-right20">
            <label for="searchPrgramName">Search by program name</label>
            <div class="input-control text" data-role="input-control">
                <input id="searchPrgramName" ng-model="nameSearchTerm" type="text" placeholder="Enter program name here">             
            </div>
        </div>
        <div class="place-left one-third">
            <div class="input-control select">
                <label for="typeSearchTerm">Program type</label>
                <select id="typeSearchTerm" ng-model="typeSearchTerm" ng-init="typeSearchTerm = ''">
                    @foreach (var cat in Enum.GetValues(typeof(ProgramTypeCategory)))
                    {
                        <option value="@cat">@cat.ToString()</option>
                    }
                </select>
            </div>
        </div>
        <button class="button primary place-right" type="submit">Search</button>
        <button class="button link place-right on-left-more" type="button" ng-click="programSearchClearFilters()">Clear filters</button>
        <div class="clearfix"></div>        
    </form>
    <br />

    <kendo-grid id="programGrid" options="programGridOptions"></kendo-grid>

    <div class="clearfix"></div>
</div>
